Microsoft Office Autoupdate / High Sierra

Yager
New Contributor III

Hi folks,

We are seeing a lot of issues with the Microsoft auto updater not working in High Sierra. It can't download the latest version of the auto-updater when you try, and once upgraded still can't download the current office patches. Are other people experiencing this? Even when manually trying to download via a browser it fails with errors. Switch to Sierra and everything works fine.

Are other people experiencing this? Has anyone found a workaround? Thanks!

1 ACCEPTED SOLUTION

Yager
New Contributor III

This was an internal DNS issue. It's always DNS!

View solution in original post

5 REPLIES 5

strider_knh
Contributor II

What versions are you speaking about? What version of MAU were you on and what version are you trying to upgrade to?

I am running this on my High Sierra machines and it seems to work fine. Sitting at version 3.11.171010. This what version Jamf says is the latest version. I know 3.12.17110800 was released but MAU does not seem to update to this version. The only way I have seen it installed is when you install an Office application fresh with version 15.40.

H3144-IT
Contributor II

Dear Yager,

the Download Link for AutoUpdater can be found here:
Auto Updater

In the Third Party Products Section you also find all the necessary Links for:

Office for Mac 2011, which is no longer supported by Microsoft, see:
Office 2011 for Mac

And the Download Links for Office for Mac 2016
Office for Mac 2016

which contains the direct Links to the Download Pages on the MS Website.

I am running at present both Versions, but will shift all my Macs early next year to Office 2016 for a year until MS expects to release Office 2019 in the Autumn, that includes a Version for Mac - Details on this can be found here:
Office for Mac 2019 Announcement

I have not seen any Challenges with either Version, if you install High Sierra without APFS.
Details on how to install High Sierra without APFS Install High Sierra without APFS

If you install High Sierra with APFS, Microsoft had announced, that Office 2011 will not function properly & that you would need Office 2016 in Version 15.35 or higher, at present you can find Version 15.40 online, in the Links above.

Minimum Requirement for Office under High Sierra

Yager
New Contributor III

This was an internal DNS issue. It's always DNS!

View solution in original post

Dylan_YYC
Contributor III

@Yager what was the DNS issue if you dont mind my asking...

Chandler
New Contributor

Thanks so much your link to the updater solved my problem with the updater (High Sierra with Office 16) ...working great now.
I'm a non techy gal and I tried Microsoft first and the person chatting with me online wanted to enter my computer remotely to fix it...well I said no way...and thank goodness found your response through Google.